## mgetty 1.2.1-1.1

=== Makefile ===
# Makefile for the mgetty fax package
#
# SCCS-ID: $Id: Makefile,v 4.83 2018/03/06 12:45:16 gert Exp $ (c) Gert Doering
#
# this is the C compiler to use (on SunOS, the standard "cc" does not
# grok my code, so please use gcc there. On ISC 4.0, use "icc".).
#
# if you are cross-compiling, this is the C compiler for the target platform
CC=cc
#CC=gcc
#
# if you are cross-compiling, *this* needs to be the C compiler that 
# is able to produce binaries that run on the local system (if not 
# cross-compiling, just leave the line as is)
HOSTCC=$(CC)
#
#### C Compiler Flags ####
#
# For SCO Unix 3.2v4, it may be necessary to define -D__STDC__=0
# If you have problems with dial-in / dial-out on the same line (e.g.
# 'cu' telling you "CAN'T ACCESS DEVICE"), you should try -DBROKEN_SCO_324
# If the compiler barfs about my getopt() prototype, change it (mgetty.h)
# If the linker cannot find "syslog()" (compiled with SYSLOG defined),
# link "-lsocket".
#
# On SCO Unix 3.2.2, select(S) refuses to sleep less than a second,
# so use poll(S) instead. Define -DUSE_POLL
#
# For Systems with a "login uid" (man setluid()), define -DSECUREWARE
# (All SCO Systems have this). Maybe you've to link some special library
# for it, on SCO it's "-lprot_s".
#
#
# Add "-DSVR4" to compile on System V Release 4 unix
# For SVR4.2, add "-DSVR4 -DSVR42" to the CFLAGS line.
#
# For Linux, you don't have to define anything
#
# For SunOS 4.x, please define -Dsunos4.
#   (We can't use "#ifdef sun" because that's defined on solaris as well)
#   If you use gcc, add -Wno-missing-prototypes, our code is OK, but
#   the Sun4 header files lack a lot standard definitions...
#   Be warned, Hardware handshake (and serial operations in general)
#   work a lot more reliably with patch 100513-05 (jumbo tty patch)!
#
# For Solaris 2.x, please define -Dsolaris2, which will automatically
#   #define SVR4.
#
# Add "-DISC" to compile on Interactive Unix. For posixized ISC 4.0 you
# may have to add -D_POSIX_SOURCE
#
# For IBM AIX 4.x, no changes should be necessary. For AIX 3.x, it might
# be necessary to add -D_ALL_SOURCE and -DUSE_POLL to the CFLAGS line.
# [If you experience "strange" problems with AIX, report to me...!]
#
# Add "-D_3B1_ -DUSE_READ -D_NOSTDLIB_H -DSHORT_FILENAMES" to compile
# on the AT&T 3b1 machine -g.t.
#
# Add "-DMEIBE" to compile on the Panasonic (Matsushita Electric
#	industry) BE workstation
#
# When compiling on HP/UX, make sure that the compiler defines _HPUX_SOURCE, 
#     if it doesn't, add "-D_HPUX_SOURCE" to the CFLAGS line.
#
# On NeXTStep, add "-DNEXTSGTTY -DBSD". To compile vgetty or if you are
#     brave, you have to use "-posix -DBSD".
#
# On the MIPS RiscOS, add "-DMIPS -DSVR4 -systype svr4" (the other
#     subsystems are too broken. Watch out that *all* programs honour
#     the SVR4 locking convention, "standard" UUCP and CU do not!)
#
# For (otherwise not mentioned) systems with BSD utmp handling, define -DBSD
#
# Add "-D_NOSTDLIB_H" if you don't have <stdlib.h>
#
# Add "-DPOSIX_TERMIOS" to use POSIX termios.h, "-DSYSV_TERMIO" to use
#     the System 5 termio.h style. (Default set in tio.h)
#
# For machines without the select() call:
#     Add "-DUSE_POLL" if you don't have select, but do have poll
#     Add "-DUSE_READ" if you don't have select or poll (ugly)
#
# For older SVR systems (with a filename length restriction to 14
#     characters), define -DSHORT_FILENAMES
#
# For Systems that default to non-interruptible system calls (symptom:
# timeouts in do_chat() don't work reliably) but do have siginterrupt(),
# define -DHAVE_SIGINTERRUPT. This is the default if BSD is defined.
#
# For Systems with broken termios / VMIN/VTIME mechanism (symptom: mgetty
# hangs in "waiting for line to clear"), define -DBROKEN_VTIME. Notably
# this hits FreeBSD 0.9 and some SVR4.2 users...
#
# If you don't have *both* GNU CC and GNU AS, remove "-pipe"
#
# Disk statistics:
#
# The following macros select one of 5 different variants of partition
# information grabbing.  AIX, Linux, 3b1 and SVR4 systems will figure
# this out themselves.  You can test whether you got this right by
# running "make testdisk".  If it fails, consult getdisk.c for
# further instructions.
#
#	    BSDSTATFS     - BSD/hp-ux/SunOS/Dynix/vrios
#			    2-parameter statfs()
#	    ULTRIXSTATFS  - Ultrix wacko statfs
#	    SVR4	  - SVR4 statvfs()
#	    SVR3	  - SVR3/88k/Apollo/SCO 4-parameter statfs()
#	    USTAT	  - ustat(), no statfs etc.
#
#CFLAGS=-Wall -O2 -pipe -DSECUREWARE -DUSE_POLL
CFLAGS=-Wall -O2 -pipe
#CFLAGS=-O -DSVR4
#CFLAGS=-O -DSVR4 -DSVR42
#CFLAGS=-O -DUSE_POLL
#CFLAGS=-Wall -g -O2 -pipe
# 3B1: You can remove _NOSTDLIB_H and USE_READ if you have the
# networking library and gcc.
#CFLAGS=-D_3B1_ -D_NOSTDLIB_H -DUSE_READ -DSHORT_FILENAMES
#CFLAGS=-std -DPOSIX_TERMIOS -O2 -D_BSD -DBSD	# for OSF/1 (w/ /bin/cc)
#CFLAGS=-DNEXTSGTTY -DBSD -O2			# for NeXT with sgtty (better!)
#CFLAGS=-posix -DUSE_VARARGS -DBSD -O2		# for NeXT with POSIX
#CFLAGS=-D_HPUX_SOURCE -Aa -DBSDSTATFS		# for HP-UX 9.x
#CFLAGS=-cckr -D__STDC__ -O -DUSE_READ 		# for IRIX 5.2 and up


#
# LDFLAGS specify flags to pass to the linker. You could specify
# 	special link modes, binary formats, whatever...
#
# For the 3B1, add "-s -shlib". For other systems, nothing is needed.
#
# LIBS specify extra libraries to link to the programs
#       (do not specify the libraries in the LDFLAGS statement)
#
# To use the "setluid()" function on SCO, link "-lprot", and to use
# the "syslog()" function, link "-lsocket".
#
# For SVR4(.2) and Solaris 2, you may need "-lsocket -lnsl" for syslog().
#
# For ISC, add "-linet -lpt" (and -lcposix, if necessary)
#
# For Sequent Dynix/ptx, you have to add "-lsocket"
#
# For OSF/1, add "-lbsd".
#
# On SCO Xenix, add -ldir -lx
#
# For FreeBSD and NetBSD, add "-lutil" if the linker complains about
# 	"utmp.o: unresolved symbol _login"
# For Linux, add "-lutil" if the linker complains about "updwtmp".
#
LDFLAGS=
#LIBS=
#LIBS=-lprot -lsocket				# SCO Unix
#LIBS=-lsocket
#LIBS=-lbsd					# OSF/1
LIBS=-lutil					# FreeBSD or Linux/GNU libc2
#LDFLAGS=-posix					# NeXT with POSIX
#LDFLAGS=-s -shlib				# 3B1
#
#
# the following things are mainly used for ``make install''
#
#
# program to use for installing files
#
# "-o <username>" sets the username that will own the binaries after installing.
# "-g <group>" sets the group
# "-c" means "copy" (as opposed to "move")
#
# if your systems doesn't have one, use the shell script that I provide
# in "inst.sh" (taken from X11R5). Needed on IRIX5.2
INSTALL=install -c -o bin -g bin
#INSTALL=install -c -o root -g wheel		# NeXT/BSD
#INSTALL=/usr/ucb/install -c -o bin -g bin	# AIX, Solaris 2.x
#INSTALL=installbsd -c -o bin -g bin		# OSF/1, AIX 4.1, 4.2
#INSTALL=/usr/bin/X11/bsdinst -c -o bin 	# IRIX
#
# prefix, where most (all?) of the stuff lives, usually /usr/local or /usr
#
prefix=/usr/local
#
# prefix for all the spool directories (usually /usr/spool or /var/spool)
#
spool=/var/spool
#
# where the mgetty + sendfax binaries live (used for "make install")
#
SBINDIR=$(prefix)/sbin
#
# where the user executable binaries live
#
BINDIR=$(prefix)/bin
#
# where the font+coverpage files go
#
LIBDIR=$(prefix)/lib/mgetty+sendfax
#
# where the configuration files (*.config, aliases, fax.allow/deny) go to
#
CONFDIR=$(prefix)/etc/mgetty+sendfax
#CONFDIR=/etc/default/
#
#
# where mgetty PID files (mgetty.pid) go to
# (the faxrunqd PID file lives in FAX_SPOOL_OUT/ due to permission reasons)
#
VARRUNDIR=/var/run
#
# the fax spool directory
#
FAX_SPOOL=$(spool)/fax
FAX_SPOOL_IN=$(FAX_SPOOL)/incoming
FAX_SPOOL_OUT=$(FAX_SPOOL)/outgoing
#
# the user that owns the "outgoing fax queue" (FAX_SPOOL_OUT)
# this user must exist in the system, otherwise faxspool will not work!
#
# faxrunq and faxrunqd should run under this user ID, and nothing else.  
# This user needs access to the modems of course.  
#
# (it's possible to run faxrunq(d) as root, but the FAX_OUT_USER 
#  MUST NOT BE root or any other privileged account).
#
FAX_OUT_USER=fax
#
#
# Where section 1 manual pages should be placed
MAN1DIR=$(prefix)/man/man1
#
# Where section 4 manual pages (mgettydefs.4) should be placed
MAN4DIR=$(prefix)/man/man4
#
# Section 5 man pages (faxqueue.5)
MAN5DIR=$(prefix)/man/man5
#
# Section 8 man pages (sendfax.8)
MAN8DIR=$(prefix)/man/man8
#
# Where the GNU Info-Files are located
#
INFODIR=$(prefix)/info
#
#
# A shell that understands bourne-shell syntax
#  Usually this will be /bin/sh or /usr/bin/sh, but bash or ksh are fine.
#  (on some ultrix systems, you may need /bin/sh5 here)
#
SHELL=/bin/sh
#
# If your shell requires pre-posix syntax to disable traps ('trap 0' 
#  instead of 'trap - 0'), set this to "0" (very rarely needed)
#
SHELL_TRAP_POSIX=1
#
# If you have problems with the awk-programs in the fax/ shell scripts,
# try using "nawk" or "gawk" (or whatever works...) here
# needed on most SunOS/Solaris/ISC/NeXTStep versions.
#
AWK=awk
#
# A few (very few) programs want Perl, preferably Perl5. This define
# tells them where to find it. You can use everything except "faxrunqd"
# and the "tkperl" frontends without PERL, so don't worry if you don't
# have it.
# If you specify command line arguments (-w), don't forget the quotes!
PERL="/usr/bin/perl -w"
#
# If you have Perl with TK extentions, define it here. This may be the
# same as PERL=... above, or different, if you have TkPerl statically
# linked.
TKPERL=/usr/bin/tkperl
#
#
# An echo program that understands escapes like "\n" for newline or
# "\c" for "no-newline-at-end". On SunOS, this is /usr/5bin/echo, in the
# bash, it's "echo -e"
# (don't forget the quotes, otherwise compiling mksed will break!!)
#
# If you do not have *any* echo program at all that will understand "\c",
# please use the "mg.echo" program provided in the compat/ subdirectory.
# Set ECHO="mg.echo" and INSTALL_MECHO to mg.echo
#
ECHO="echo -e"
#
# INSTALL_MECHO=mg.echo

#
# for mgetty, that's it. If you want to use the voice
# extentions, go ahead (don't forget to read the manual!)

# To maintain security, I recommend creating a new group for
# users who are allowed to manipulate the recorded voice messages.
PHONE_GROUP=phone
PHONE_PERMS=770

# Add -DNO_STRSTR to CFLAGS if you don't have strstr().

# create hard/soft links (-s will be added by vgetty Makefile)
LN=ln
#LN=/usr/5bin/ln

RM=rm
MV=mv

#
# Nothing to change below this line ---------------------------------!
#
MR=1.2
SR=1
DIFFR=1.2.0
#
#
OBJS=mgetty.o logfile.o do_chat.o locks.o utmp.o logname.o login.o \
     mg_m_init.o modem.o faxrec.o ring.o \
     faxlib.o faxsend.o faxrecp.o class1.o class1lib.o faxhng.o hyla_nsf.o \
     g3file.o io.o gettydefs.o tio.o cnd.o getdisk.o goodies.o \
     config.o conf_mg.o do_stat.o sms.o clean_line.o

SFAXOBJ=sendfax.o logfile.o locks.o modem.o \
     faxlib.o faxsend.o faxrecp.o class1.o class1lib.o faxhng.o hyla_nsf.o \
     g3file.o io.o tio.o getdisk.o config.o conf_sf.o goodies.o socket.o \
     clean_line.o

all:	bin-all doc-man-only

bin-all: mgetty sendfax newslock sedscript subdirs call-back 

# a few C files need extra compiler arguments

mgetty.o : mgetty.c syslibs.h mgetty.h ugly.h policy.h tio.h fax_lib.h \
	config.h mg_utmp.h Makefile
	$(CC) $(CFLAGS) -DVARRUNDIR=\"$(VARRUNDIR)\" -c mgetty.c

conf_mg.o : conf_mg.c mgetty.h ugly.h policy.h syslibs.h \
	config.h conf_mg.h Makefile
	$(CC) $(CFLAGS) -DFAX_SPOOL_IN=\"$(FAX_SPOOL_IN)\" \
		-DCONFDIR=\"$(CONFDIR)\" -c conf_mg.c

conf_sf.o : conf_sf.c mgetty.h ugly.h policy.h syslibs.h \
	config.h conf_sf.h Makefile
	$(CC) $(CFLAGS) -DCONFDIR=\"$(CONFDIR)\" -c conf_sf.c

login.o : login.c mgetty.h ugly.h config.h policy.h mg_utmp.h  Makefile
	$(CC) $(CFLAGS) -DCONFDIR=\"$(CONFDIR)\" -c login.c

cnd.o : cnd.c syslibs.h policy.h mgetty.h ugly.h config.h  Makefile
	$(CC) $(CFLAGS) -DCONFDIR=\"$(CONFDIR)\" -c cnd.c

logname.o : logname.c syslibs.h mgetty.h policy.h tio.h mg_utmp.h Makefile

mgetty-launchd.o: mgetty-launchd.c

=== callback/Makefile ===
# Makefile for the "callback" subtree
# of mgetty+sendfax
#
# SCCS: %W% %E% Copyright (c) Gert Doering
#

CC=gcc
CFLAGS=-O2 -I.. -g

zigzag:
	cd .. ; $(MAKE) call-back

all: callback ct

CBOBJS=callback.o conf_cb.o ../config.o ../logfile.o ../do_chat.o \
	../modem.o ../locks.o ../tio.o ../io.o ../goodies.o
CTOBJS=ct.o

callback: $(CBOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o callback $(CBOBJS) $(LIBS)

ct: $(CTOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o ct $(CTOBJS) $(LIBS)

conf_cb.o : conf_cb.c conf_cb.h ../mgetty.h ../ugly.h ../policy.h \
	../syslibs.h ../config.h ../Makefile
	$(CC) $(CFLAGS) -DCONFDIR=\"$(CONFDIR)\" -c conf_cb.c

callback.o: callback.c ../syslibs.h ../mgetty.h ../ugly.h ../policy.h \
	 ../tio.h ../mg_utmp.h ../version.h ../config.h conf_cb.h
	$(CC) $(CFLAGS) -DVARRUNDIR=\"$(VARRUNDIR)\" -c callback.c

clean:
	rm -f callback ct *.o

#
# install programs
#
install: all
	$(INSTALL) -s -m 700 -o root callback $(SBINDIR)
	$(INSTALL) -s -m 4711 -o root ct $(BINDIR)

# source modules

=== doc/Makefile ===
# doc/Makefile
#
# SCCS: $Id: Makefile,v 4.9 2018/03/06 13:26:16 gert Exp $ Copyright (C) 1994 Gert Doering
#

NROFF=nroff
#
#
MAN1PAGES=g32pbm.1 g3cat.1 pbm2g3.1 sff2g3.1 fax.1 \
	  faxspool.1 faxrunq.1 faxq.1 faxrm.1 coverpg.1
MAN4PAGES=mgettydefs.4
MAN5PAGES=faxqueue.5
MAN8PAGES=sendfax.8 mgetty.8 callback.8 faxrunqd.8 faxq-helper.8
MANSRC=$(MAN1PAGES) $(MAN4PAGES) $(MAN5PAGES) $(MAN8PAGES)
MAN1DIR=/usr/local/man/man1
MAN4DIR=/usr/local/man/man4
MAN5DIR=/usr/local/man/man5
MAN8DIR=/usr/local/man/man8
INFODIR=/usr/local/info

#
# formatted man pages
#
MAN_FMT_PRG=$(NROFF) -man


all: manpages fmt-manpages mgetty.texi

doc-all: mgetty.asc mgetty.info mgetty.dvi mgetty.ps fmt-manpages $(MANSRC) 

manpages: $(MANSRC)

fmt-manpages:
	-$(MAKE) `for i in $(MANSRC) ; do echo \`expr $$i : "\([^.]*\)"\`.man ; done `

mgetty.asc: mgetty.ms
	-$(NROFF) -ms mgetty.ms >mgetty.asc

mgetty.ms: mgetty.texi
	-texi2roff -ms <mgetty.texi >mgetty.ms

mgetty.html: mgetty.texi
	-texi2any --verbose --html --force --no-split mgetty.texi

mgetty.info: mgetty.texi
	-makeinfo mgetty.texi

mgetty.ps: mgetty.dvi
	-dvips -o mgetty.ps mgetty.dvi

mgetty.dvi: mgetty.texi
	-texi2dvi mgetty.texi

mgetty.texi: mgetty.texi-in ../sedscript
	../sedscript <mgetty.texi-in >mgetty.texi

ps: mgetty.ps

clean:
	rm -f mgetty.cp mgetty.fn mgetty.ky mgetty.log mgetty.pg \
	      mgetty.toc mgetty.tp mgetty.vr mgetty.asc \
	      mgetty.ps mgetty.dvi mgetty.aux mgetty.info* mgetty.ms \
	      *.man *.[1-9] mgetty.texi

install: $(MANSRC) mgetty.info
	for D in `dirname $(MAN1DIR)` $(MAN1DIR) $(MAN4DIR) $(MAN5DIR) $(MAN8DIR) ; do \
		if [ ! -d $$D ] ; then mkdir $$D || exit 1 ; fi ; \
	done
	for i in $(MAN1PAGES) ; do \
		$(INSTALL) -m 644 $$i $(MAN1DIR) ; \
	done
	for i in $(MAN4PAGES) ; do \
		$(INSTALL) -m 644 $$i $(MAN4DIR) ; \
	done
	for i in $(MAN5PAGES) ; do \
		$(INSTALL) -m 644 $$i $(MAN5DIR) ; \
	done
	for i in $(MAN8PAGES) ; do \
		$(INSTALL) -m 644 $$i $(MAN8DIR) ; \
	done
	if [ -f mgetty.info ] ; then\
	    test -d $(INFODIR) || mkdir $(INFODIR) 2>/dev/null ; \
	    for i in mgetty.info* ; do \
		$(INSTALL) -m 644 $$i $(INFODIR) ; \
	    done ; \
	else \
	    echo "mgetty.info not made, skipping" ; \
	fi

doc-tar: ../mgetty0$(VS)doc.tar.gz

../mgetty0$(VS)doc.tar.gz: doc-all mgetty.html
	gtar cvvf ../mgetty0$(VS)doc.tar mgetty.texi mgetty.info* \
				         mgetty.dvi mgetty.ps \
				         mgetty.ms mgetty.asc \
					 mgetty.html *.man
	gzip -f -9 -v ../mgetty0$(VS)doc.tar

# explicit man page dependencies

fax.1: fax.1in ../sedscript
faxq.1: faxq.1in ../sedscript
faxqueue.5: faxqueue.5in ../sedscript
faxrm.1: faxrm.1in ../sedscript
faxrunq.1: faxrunq.1in ../sedscript
faxspool.1: faxspool.1in ../sedscript
coverpg.1: coverpg.1in ../sedscript
g3cat.1: g3cat.1in ../sedscript
g32pbm.1: g32pbm.1in ../sedscript
mgetty.8: mgetty.8in ../sedscript
mgettydefs.4: mgettydefs.4in ../sedscript
pbm2g3.1: pbm2g3.1in ../sedscript
sendfax.8: sendfax.8in ../sedscript
callback.8: callback.8in ../sedscript
faxrunqd.8: faxrunqd.8in ../sedscript

../sedscript: ../policy.h ../Makefile ../mksed.c
	@cd .. ; $(MAKE) sedscript

#
# inference rules for creating manpages from .in pages
#
.SUFFIXES: .1in .4in .5in .8in .1 .4 .5 .8

.1in.1:
	../sedscript <$< >$*.1

.4in.4:
	../sedscript <$< >$*.4

.5in.5:
	../sedscript <$< >$*.5

.8in.8:
	../sedscript <$< >$*.8

#
# inference rules for building formatted manpages
#
.SUFFIXES: .1 .4 .5 .8 .man

.1.man:
	$(MAN_FMT_PRG) $< >$*.man

.4.man:
	$(MAN_FMT_PRG) $< >$*.man

.5.man:
	$(MAN_FMT_PRG) $< >$*.man

.8.man:
	$(MAN_FMT_PRG) $< >$*.man

=== frontends/Makefile ===
#
# Actually, this makefile doesn't do anything except calling others...
#
SUBDIRS=dialog tkperl

all:
	for i in $(SUBDIRS) ; do \
	    ( cd $$i ; $(MAKE) all ); \
	done

install:
	for i in $(SUBDIRS) ; do \
	    ( cd $$i ; $(MAKE) BINDIR=\"$(BINDIR)\" SBINDIR=\"$(SBINDIR)\" \
			       LIBDIR=\"$(LIBDIR)\" install ); \
	done

clean:
	for i in $(SUBDIRS) ; do \
	    ( cd $$i ; $(MAKE) clean ); \
	done

=== g3/Makefile ===
# Makefile for the "g3 tools" subtree
# of mgetty+sendfax
#
# SCCS: $Id: Makefile,v 4.7 2006/02/22 17:25:34 gert Exp $ Copyright (c) Gert Doering
#

CC=gcc
CFLAGS=-O2 -I.. -g 

G3_PROGRAMS=pbm2g3 g3cat g32pbm sff2g3

all: $(G3_PROGRAMS)

pbm2g3: pbm2g3.o g3.o run_tbl.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o pbm2g3 pbm2g3.o g3.o run_tbl.o $(LIBS)

g32pbm: g32pbm.o g3.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o g32pbm g32pbm.o g3.o $(LIBS)

g3cat: g3cat.o g3.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o g3cat g3cat.o g3.o $(LIBS)

sff2g3: sff2g3.o g3.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o sff2g3 sff2g3.o g3.o $(LIBS)

g3.o : g3.c g3.h ../ugly.h
g3cat.o : g3cat.c g3.h ../ugly.h 
g32pbm.o : g32pbm.c g3.h ../ugly.h
pbm2g3.o : pbm2g3.c g3.h ../ugly.h
run_tbl.o : run_tbl.c ../ugly.h 

clean:
	rm -f $(G3_PROGRAMS) *.o

install: all
#
# install programs
#
	for f in $(G3_PROGRAMS) ; do \
		$(INSTALL) -s -m 755 $$f $(BINDIR) ; \
	done
#
# make symlink for "g3topbm" (so third-party fax viewers won't fail)
#
	-cd $(BINDIR) ; \
	test -x g3topbm || ln -s g32pbm g3topbm


# test suite
test:
	@echo "create G3 test file (diagonal line) 'test.g3'..."
	@awk 'BEGIN \
	       { printf "P1\n1728 1728\n"; \
		 for(i=0;i<1728;i++)        \
		 { for(j=0;j<i;j++) { printf "0 " }; printf "1 "; \
		   for(j=i+1;j<1728;j++) { printf "0 " } ; printf "\n"; } }' \
		       /dev/null | ./pbm2g3 >test.g3
	@echo "compare to reference file 'test-ref.g3'..."
	cmp test.g3 test-ref.g3

# g3cat
	@echo 'testing g3cat file...'
	./g3cat test-ref.g3 >test.g3
	cmp test-ref.g3 test.g3
	@echo 'testing g3cat - (stdin)...'
	./g3cat - <test-ref.g3 >test.g3
	cmp test-ref.g3 test.g3

# pbm2g3/g32pbm
	@echo 'testing g32pbm file | pbm2g3 >test.g3...'
	./g32pbm test-ref.g3 | ./pbm2g3 >test.g3

# -r (1) -> result must be different
	@echo 'testing pbm2g3 -r...'
	./g32pbm test-ref.g3 | ./pbm2g3 -r >test.g3
	if cmp test-ref.g3 test.g3 >/dev/null ; then \
		echo 'g32pbm <in | pbmg3 -r >out identical!' >&2 ; exit 1; \
	        else true ; fi

# -r (2) -> converting twice must give identical result
	@echo 'testing pbm2g3 -r | g32pbm -r...'
	./g32pbm test-ref.g3 | ./pbm2g3 -r | ./g32pbm -r | ./pbm2g3 >test.g3
	cmp test-ref.g3 test.g3

# -h option to g3cat and pbm2g3
	@echo 'testing pbm2g3 -h 10 and g3cat -h 10...'
	./g32pbm test-ref.g3 | ./pbm2g3 -h 10 >test-1.g3
	./g3cat -h 10 test-ref.g3 >test-2.g3
	cmp test-1.g3 test-2.g3

# g3cat puts 2 white lines between files, so "g3cat -h 10" or
# "g3cat 8-wite-lines.file" should have same result
	@echo
	@echo 'testing g3cat with stdin+file vs. g3cat -h...'
	( echo "P1 1 8" ; echo "0 0 0 0 0 0 0 0" ) | ./pbm2g3 | \
	     ./g3cat - test-ref.g3 >test-1.g3
	./g3cat -h 10 test-ref.g3 >test-2.g3
	cmp test-1.g3 test-2.g3

# g3cat with -a (align EOL), -p (minimum byte padding for each line), -R
	@echo
	@echo 'testing g3cat -a / -R / -p <padding>...'
	( echo "P1 1 10" ; echo "0 0 0 0 0 0 0 0 0 0" ) | ./pbm2g3 >test.g3
	test `cat test.g3 | wc -c` = 47
	test `./g3cat test.g3 | wc -c` = 47
	test `./g3cat -a test.g3 | wc -c` = 54
	test `./g3cat -a -R test.g3 | wc -c` = 42
	test `./g3cat -p 5 -a -R test.g3 | wc -c` = 52
	test `./g3cat -p 10 -a -R test.g3 | wc -c` = 102
	test `./g3cat -p 100 -a -R test.g3 | wc -c` = 1002
	test `./g3cat -p 100 -a test.g3 | ./g3cat - | wc -c` = 47

	@echo
	@echo 'testing g3cat -L <length> / -w <width>....'
	test "`./g3cat -L 10   test-ref.g3 |./g32pbm |sed -n 2p`" = "1728 10"
	test "`./g3cat -L 100  test-ref.g3 |./g32pbm |sed -n 2p`" = "1728 100"
	test "`./g3cat -L 1000 test-ref.g3 |./g32pbm |sed -n 2p`" = "1728 1000"
	test "`./g3cat -L 2000 test-ref.g3 |./g32pbm |sed -n 2p`" = "1728 1728"
	test "`./g3cat -L 1000 -w 1000 test-ref.g3 2>/dev/null |./g32pbm |sed -n 2p`" = "1000 1000"

	@echo "all G3 program tests passed!"
	@rm test.g3 test-1.g3 test-2.g3

=== t/Makefile ===
# Makefile for the "t/" subtree
# of mgetty+sendfax
#
# CVS: $Id: Makefile,v 1.7 2018/03/06 11:09:18 gert Exp $ Copyright (c) Gert Doering
#

CC=cc
CFLAGS=-O2 -I.. -g  #-DT_LOG_VERBOSE

TEST_PROGRAMS=t_config t_ring
TEST_HELP_PGM=t_g3f_c
TEST_SCRIPTS=t_echo t_trap t_g3file

test: $(TEST_PROGRAMS) $(TEST_HELP_PGM)
	@for f in $(TEST_PROGRAMS) ; \
	do \
	    echo "run t/$$f..." ; \
	    ./$$f || exit 1 ; \
	done
	@for f in $(TEST_SCRIPTS) ; \
	do \
	    echo "run t/$$f..." ; \
	    rm -f $$f ; ../sedscript <$$f.in >$$f ; chmod +x $$f ; \
	    ./$$f || exit 1 ; \
	done
	@echo "OK"

clean:
	rm -f $(TEST_PROGRAMS)
	rm -f $(TEST_SCRIPTS)
	rm -f *.o

t_config.o: t_config.c ../mgetty.h ../conf_mg.h ../config.h 

t_ring: t_ring.o ../ring.o ../cnd.o
	$(CC) -o t_ring t_ring.o ../ring.o ../cnd.o $(LDFLAGS)

T_G3F_OBJS=t_g3f_c.o ../g3file.o ../faxlib.o ../hyla_nsf.o ../modem.o ../io.o
t_g3f_c: $(T_G3F_OBJS)
	$(CC) -o t_g3f_c $(T_G3F_OBJS) $(LDFLAGS)

=== tap/Makefile ===
#
# $Id: Makefile,v 1.6 2010/04/23 14:23:18 gert Exp $
#
CC=gcc
CFLAGS=-I.. -Wall
#LIBS=-lsocket
LIBS=
LOG_DIR=/var/log

OBJ=../tio.o ../logfile.o ../io.o ../modem.o ../locks.o ../config.o
SOBJ=../tio.o ../io.o ../modem.o ../locks.o ../config.o ../logfile.o 

all: tap atsms

tap: tap.o $(OBJ)
	$(CC) -o tap tap.o $(OBJ) $(LIBS)

atsms: atsms.o $(SOBJ)
	$(CC) -o atsms  atsms.o $(SOBJ) $(LIBS)

atsms.o: atsms.c
	$(CC) $(CFLAGS) -c -o atsms.o -DLOG_DIR=\"$(LOG_DIR)\" atsms.c

=== tools/Makefile ===
# Makefile for the "tools" subtree
# of mgetty+sendfax
#
# RCS: $Id: Makefile,v 1.8 2006/02/22 17:25:35 gert Exp $
#

CC=gcc
CFLAGS=-O2 -I..

SCRIPTS=kvg cutbl
PROGRAMS=ltest mid microcom
TOOLS=

all: $(SCRIPTS) $(PROGRAMS)

kvg: kvg.in ../sedscript
	../sedscript <kvg.in >kvg

cutbl: cutbl.in ../sedscript
	../sedscript <cutbl.in >cutbl

../sedscript: ../policy.h ../Makefile ../mksed.c
	@cd .. ; $(MAKE) sedscript

ltest: ltest.o ../tio.o ../io.o
	$(CC) $(CFLAGS) -o ltest $(LDFLAGS) ltest.o ../tio.o ../io.o $(LIBS)

ltest.o: ltest.c ../tio.h ../mgetty.h
	$(CC) $(CFLAGS) -c -o ltest.o ltest.c

mid: mid.o ../tio.o ../io.o ../locks.o
	$(CC) $(CFLAGS) -o mid $(LDFLAGS) mid.o ../tio.o \
		../io.o ../locks.o $(LIBS)

mid.o: mid.c ../tio.h ../mgetty.h
	$(CC) $(CFLAGS) -c -o mid.o mid.c

microcom: microcom.o ../tio.o ../io.o ../locks.o
	$(CC) $(CFLAGS) -o microcom $(LDFLAGS) microcom.o ../tio.o \
		../io.o ../locks.o $(LIBS)

microcom.o: microcom.c ../tio.h ../mgetty.h
	$(CC) $(CFLAGS) -c -o microcom.o microcom.c

vhangup: vhangup.c
	$(CC) $(CFLAGS) -o vhangup vhangup.c

clean:
	-rm -f $(SCRIPTS) $(PROGRAMS) *.o

install: all
#
# programs / scripts
#
	-for i in $(SCRIPTS); do \
		mv -f $(BINDIR)/$$i $(BINDIR)/$$i.old 2>/dev/null ; \
		$(INSTALL) -m 755 $$i $(BINDIR) ; \
	done

=== faq/SGML/Makefile ===
# $Id: Makefile,v 1.1 2001/04/16 11:07:51 marcs Exp $

all: FAQ.sgml
	sgml2txt FAQ.sgml

clean:
	rm -f FAQ.txt

=== voice/libmgsm/Makefile ===
#
# Makefile
#
# This is the Makefile for libpvf.
#
# $Id: Makefile,v 1.5 2006/02/22 17:25:36 gert Exp $
#

GSMOBJS=code.o decode.o gsm_create.o gsm_decode.o gsm_destroy.o gsm_encode.o \
	gsm_option.o code.o decode.o long_term.o lpc.o preprocess.o rpe.o \
	short_term.o add.o table.o

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: libmgsm.a

libmgsm.a: $(GSMOBJS)
	$(RM) -f libmgsm.a
	$(AR) $(ARFLAGS) libmgsm.a $(GSMOBJS)
	-$(RANLIB) libmgsm.a

install:

clean:
	@$(RM) -f libmgsm.a $(GSMOBJS)

include depend

=== voice/libpvf/Makefile ===
#
# Makefile
#
# This is the Makefile for libpvf.
#
# $Id: Makefile,v 1.6 2006/02/22 17:25:38 gert Exp $
#

PVFOBJS=au.o fft.o lib.o linear.o multitech.o rockwell.o usr.o voc.o wav.o \
	zyxel.o zyxel-o56k.o

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: libpvf.a

libpvf.a: $(PVFOBJS)
	$(RM) -f libpvf.a
	$(AR) $(ARFLAGS) libpvf.a $(PVFOBJS)
	-$(RANLIB) libpvf.a

install:

clean:
	@$(RM) -f libpvf.a $(PVFOBJS)

include depend

=== voice/libvoice/Makefile ===
#
# Makefile
#
# This is the Makefile for libvoice.
#
# $Id: Makefile,v 1.19 2006/02/22 17:25:40 gert Exp $
#

VOICEOBJS=analyze.o close.o command.o detect.o event.o flush.o \
	init.o mode.o open.o play.o read.o record.o shell.o signal.o write.o \
	voice_fax.o device_mode_names.o \
	Cirrus_Logic.o Digi_RAS.o Dolphin.o Dr_Neuhaus.o Elsa.o V253modem.o IS_101.o \
	ISDN4Linux.o Lucent.o Multitech_2834.o Rockwell.o Sierra.o Supra.o UMC.o \
	US_Robotics.o ZyXEL_1496.o ZyXEL_2864.o ZyXEL_Omni56K.o \
	Multitech_5634.o Multitech_5634ZPX.o Multitech_5634ZPX_ISA.o \
	Multitech_5600ZDXv.o Supra56ePRO.o V253ugly.o

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: libvoice.a

libvoice.a: $(VOICEOBJS)
	$(RM) -f libvoice.a
	$(AR) $(ARFLAGS) libvoice.a $(VOICEOBJS)
	-$(RANLIB) libvoice.a

install:

clean:
	@$(RM) -f libvoice.a $(VOICEOBJS)

depend: *.c
	$(CC) $(CFLAGS) -MM -c *.c > depend

include depend

=== debian/control ===
Source: mgetty
Section: comm
Priority: optional
Maintainer: Andreas Barth <aba@ayous.org>
Build-Depends: debhelper (>= 7), texi2html, texinfo, texlive, groff, libx11-dev, patch, perl, dpatch, po-debconf
Standards-Version: 3.8.0
Homepage: http://mgetty.greenie.net/

Package: mgetty
Suggests: mgetty-fax 
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate (>= 3.5.4-1), dpkg (>= 1.15.4) | install-info
Conflicts: mgetty-docs (<= 1.1.30-6)
Replaces: mgetty-docs
Description: Smart Modem getty replacement
 Mgetty is a versatile program to handle all aspects of a modem under Unix.  
 .
 The program 'mgetty' allows you to use a modem for handling external
 logins, receiving faxes and using the modem as a answering machine without
 interfering with outgoing calls.
 .
 This package includes basic modem data capabilities. Install mgetty-fax to 
 get the additional functionality for fax. Install mgetty-voice to get the
 functionality to operate voice modems.
 .  
 Mgetty is also configurable to select programs other than login for special
 connections (eg: uucico, fido or other programs) depending on the login
 userid. It also supports caller-id if the modem and phone line supply it,
 and can deny connections based on originating telephone number.

Package: mgetty-fax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, mgetty (= ${binary:Version}), perl
Suggests: debianutils (>= 1.6), netpbm, ghostscript, mgetty-viewfax (>= ${binary:Version})
Replaces: mgetty
Conflicts: mgetty (<= 1.1.30-9)
Description: Faxing tools for mgetty
 The fax subsystem of the mgetty package.
 .
 This subsystems has the enhancements that are needed to send and receive
 faxes with mgetty and a Class 2 faxmodem.
 .
 The program 'mgetty' allows you to use a fax modem for receiving faxes 
 and handling external logins without interfering with outgoing calls.

Package: mgetty-viewfax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Program for displaying Group-3 Fax files under X
 The program 'viewfax' allows you to view Group-3 fax files in an X window.
 Group-3 is the "standard" format for faxes.

Package: mgetty-voice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mgetty (= ${binary:Version})
Suggests: mgetty-pvftools
Description: Voicemail handler for mgetty
 Vgetty allows you to add answering machine / voicemail capability to all 
 the other normal mgetty functions.
 .
 The program 'mgetty' allows you to use a voice modem as an answering
 machine and handling external logins without interfering with outgoing
 calls.
 .
 To create and manipulate voice messages, you need the mgetty-pvftools
 package.

Package: mgetty-pvftools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mgetty-voice (<= 1.1.27-3), ${misc:Depends}
Description: Programs for listening and manipulating pvf and rmd files
 This package contains different utilities from the vgetty package which
 permit to create, listen and manipulate rmd or pvf files. These files are
 the recorded "message files" for using a voice modem as an answering
 machine.
 .
 You will want to install this package to create your greeting messages.

Package: mgetty-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation Package for mgetty
 Sample files and lots of documentation for mgetty. Additional source code
 for programs included that allow to set up a user interface for mgetty.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
#
# modifications for use as mgetty's rules file
# Copyright (c) 1998 Philip Hands <phil@hands.com>
# Taken over in 2001-2003 by Wolfgang Sourdeau <was@debian.org>
# major reworks in 2003 by Andreas Barth <aba@not.so.argh.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG_VER	  = $(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
#PKG_UPVER = $(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)
PACKAGE=mgetty

VFDIR = frontends/X11/viewfax

DEBIAN_DIR = $(shell pwd)/debian

PVFTOOLS = autopvf pvfsine pvffilter rmdtopvf pvfcut pvftormd basictopvf \
	pvfspeed pvfmix pvfecho pvftovoc pvftoau voctopvf \
        pvfnoise lintopvf pvffft pvftowav pvftobasic wavtopvf pvfreverse \
	pvffile rmdfile pvfamp pvftolin   

build:

include /usr/share/dpatch/dpatch.make

build: patch
	dh_testdir

	touch start-build
	-cp $(DEBIAN_DIR)/policy.h $(DEBIAN_DIR)/voice-defs.h .

	$(MAKE)
	$(MAKE) vgetty
	cd contrib; $(MAKE) g3toxwd g3tolj
	cd $(VFDIR); $(MAKE)

	touch build

build-arch: build

build-indep: build

clean: unpatch
	dh_testdir
	dh_testroot
	-if [ -f start-build ]; then \
	  rm -f start-build; \
	  rm -f build; \
	  $(MAKE) clean; \
	  $(MAKE) fullclean; \
	  rm -f contrib/g3tolj contrib/g3toxwd; \
	  rm -f fax/faxq-helper fax/faxq-helper.o \
	  rm -f policy.h voice-defs.h; \
	  cd $(VFDIR);$(MAKE) clean; \
	fi
	-rm frontends/X11/viewfax/viewfax

	debconf-updatepo

	dh_clean

binary-indep:  build
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
#	Add here commands to install the files into debian/mgetty
	install -m644 callback/README \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/README.callback
	install -m644 $(VFDIR)/README \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/README.viewfax
	install -m644 voice/doc/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice
	install -m644 voice/Perl/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice/examples/perl
	install -m644 voice/scripts/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice/examples/scripts
	cp $(DEBIAN_DIR)/inittab \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/examples/inittab.DEBIAN

#	dh_movefiles -i --sourcedir=debian/mgetty
	dh_installdocs -i
#	FAQ
	cp -a contrib frontends doc/*.txt doc/mgetty.texi doc/modems.db \
		doc/fhng-codes $(DEBIAN_DIR)/win95.ppp BUGS FTP \
		README.1st THANKS TODO \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/
	-rm -rf $(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/frontends/X11/viewfax/
#	dh_installexamples -i
	cp -a samples/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/examples
	chmod +x debian/fixpaths.pl
	debian/fixpaths.pl
	dh_installmenu -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:	build
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a

#	Mgetty install
	mkdir -p $(DEBIAN_DIR)/mgetty/etc/logrotate.d
	cp $(DEBIAN_DIR)/mgetty.logrotate $(DEBIAN_DIR)/mgetty/etc/logrotate.d/mgetty
	$(MAKE) install DESTDIR=$(DEBIAN_DIR)/mgetty
	$(MAKE) vgetty-install DESTDIR=$(DEBIAN_DIR)/mgetty-voice
	cp voice/ChangeLog \
		$(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/changelog.voice

#	Enforce debian standard for location of getty's
	mv $(DEBIAN_DIR)/mgetty/usr/sbin/?getty \
		$(DEBIAN_DIR)/mgetty/sbin/

#	And usr/sbin stuff
	mv $(DEBIAN_DIR)/mgetty/usr/bin/faxrunq \
		$(DEBIAN_DIR)/mgetty-fax/usr/bin/
	mv $(DEBIAN_DIR)/mgetty/usr/sbin/faxrunqd \
		$(DEBIAN_DIR)/mgetty-fax/usr/sbin/
	mkdir -p $(DEBIAN_DIR)/mgetty-fax/etc/logrotate.d
	cp $(DEBIAN_DIR)/mgetty-fax.logrotate $(DEBIAN_DIR)/mgetty-fax/etc/logrotate.d/mgetty-fax
	mv $(DEBIAN_DIR)/mgetty/usr/bin/newslock $(DEBIAN_DIR)/mgetty-fax/usr/bin/

#	man pages for vm and newslock
	pod2man --section=1 --center="mgetty" $(DEBIAN_DIR)/vm.pod $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/vm.1
	cp $(DEBIAN_DIR)/newslock.1 $(DEBIAN_DIR)/mgetty-fax/usr/share/man/man1/

	po2debconf -e utf8 debian/mgetty-fax.templates.master > debian/mgetty-fax.templates

#	Separate pvftools from mgetty-voice
	mkdir -p $(DEBIAN_DIR)/mgetty-pvftools/usr/bin \
		 $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1
	mv -f $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/pvf.1 \
	  $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1/; \
	for i in $(PVFTOOLS); do \
	   mv -f $(DEBIAN_DIR)/mgetty-voice/usr/bin/$$i \
	     $(DEBIAN_DIR)/mgetty-pvftools/usr/bin/; \
	   mv -f $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/$$i.1 \
	     $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1/; \
	done

#	Contrib stuff
	install -s contrib/g3toxwd contrib/g3tolj $(DEBIAN_DIR)/mgetty-fax/usr/bin
	install -p -m644 contrib/g3toxwd.1 contrib/g3tolj.1 $(DEBIAN_DIR)/mgetty-fax/usr/share/man/man1/

#	viewfax
	mkdir -p $(DEBIAN_DIR)/mgetty-viewfax/usr/share/doc/mgetty-viewfax
	cd $(VFDIR);$(MAKE) install DESTDIR=../../../debian/mgetty-viewfax

#	callback stuff
	install -s callback/callback $(DEBIAN_DIR)/mgetty/usr/sbin

#	Setup a default configuration
	cp *.config $(DEBIAN_DIR)/faxheader $(DEBIAN_DIR)/mgetty/etc/mgetty
	cp $(DEBIAN_DIR)/issue.mgetty $(DEBIAN_DIR)/mgetty/etc/issue.mgetty
	install samples/new_fax.mime4 \
		$(DEBIAN_DIR)/mgetty-fax/etc/mgetty/new_fax
	cp voice/voice.conf-dist \
		$(DEBIAN_DIR)/mgetty-voice/etc/mgetty/voice.conf
	cp fax/etc-magic \
		$(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/fax.magic
	cp voice/magic.voice \
		$(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/voice.magic
	rm $(DEBIAN_DIR)/mgetty/usr/bin/g3topbm

#	Make appropriate symlinks.
	ln -s mgetty $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty-fax
	ln -s mgetty $(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty-voice

#	move fax.1 manpage to mgetty-fax.1
	mv $(DEBIAN_DIR)/mgetty/usr/share/man/man1/fax.1 \
		$(DEBIAN_DIR)/mgetty/usr/share/man/man1/mgetty-fax.1

#	And continue with debian control files
	dh_movefiles -a --sourcedir=debian/mgetty
	rm -rf $(DEBIAN_DIR)/mgetty/usr/info $(DEBIAN_DIR)/mgetty/usr/lib $(DEBIAN_DIR)/mgetty/var/spool/fax/outgoing
	dh_installdocs -pmgetty
	dh_installdocs -pmgetty-viewfax
	dh_installdocs -pmgetty-voice
	dh_installdocs -pmgetty-fax
	dh_installdocs -pmgetty-pvftools
	-rm -f $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/copyright
	-rm -f $(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/copyright

	# move the config templates to the right place
	mv $(DEBIAN_DIR)/mgetty/etc/mgetty/* $(DEBIAN_DIR)/mgetty/usr/share/mgetty/templates/etc/
	# faxheader faxrunq.config sendfax.config
	mv $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/*config $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/faxheader $(DEBIAN_DIR)/mgetty-fax/usr/share/mgetty/templates/etc/
	mv $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/faxspool.rules.sample  $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/fax/
	mv $(DEBIAN_DIR)/mgetty-voice/etc/mgetty/* $(DEBIAN_DIR)/mgetty-voice/usr/share/mgetty/templates/etc/

	rm -rf  $(DEBIAN_DIR)/mgetty/usr/share/doc/mgetty/voice

# 	chown $(FAX_USER).$(FAX_GROUP) $(DEBIAN_DIR)/mgetty-fax/usr/lib/mgetty-fax/faxq-helper
# 	chmod 4755 $(DEBIAN_DIR)/mgetty-fax/usr/lib/mgetty-fax/faxq-helper

# 	chown $(FAX_USER).root $(DEBIAN_DIR)/mgetty-fax/var/spool/fax/outgoing
# 	chmod 700 $(DEBIAN_DIR)/mgetty-fax/var/spool/fax/outgoing

# 	chown $(FAX_USER).root $(DEBIAN_DIR)/mgetty-fax/var/lock/fax
# 	chmod 755 $(DEBIAN_DIR)/mgetty-fax/var/lock/fax

	dh_installexamples -a
	dh_installmenu -a
	dh_installinit -a
	dh_installmime -a
	dh_installdebconf -a
#	dh_installmanpages -a
	dh_installchangelogs -pmgetty ChangeLog
	dh_installchangelogs -pmgetty-viewfax $(VFDIR)/ChangeLog $(VFDIR)/README
	dh_installchangelogs -pmgetty-pvftools voice/ChangeLog
	dh_strip -a
	dh_compress -a -Xviewfax.tif
	dh_fixperms -a

	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a
